
Application: gvSIG desktop - gvSIG bugs #4377
Can't perform action 'application-export-to-pdf'
09/21/2016 01:07 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Document layout
Target version: 2.3.1-2500 (rev. org.gvsig.desktop-2.0.155)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2447 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps to reproduce the bug:
    -  create a view;
    -  add a whatever layer(s) in the view;
    -  create a new map based on the view created before;
    -  try to export the map as PDF.

Result: Can't perform action 'application-export-to-pdf' error

Associated revisions
Revision 42982 - 09/22/2016 08:56 AM - Francisco Díaz Carsí

refs #4377 Fixed bug in DrawInts operation with MultiPrimitives

Revision 43002 - 10/10/2016 08:22 AM - Francisco Díaz Carsí

refs #4377 Fixed DrawInts operation to do not use GeneralPath.

History
#1 - 09/21/2016 01:08 PM - Antonio Falciano
- File gvSIG.log added

#2 - 09/21/2016 02:49 PM - Álvaro Anguix
- Priority changed from Normal to Immediate

#3 - 09/21/2016 05:04 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí

#4 - 09/22/2016 08:56 AM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2446 (rev. org.gvsig.desktop-2.0.153)
- Status changed from New to Fixed

#5 - 09/22/2016 08:59 AM - Francisco Díaz Carsí
El problema estaba en la operación DrawInts que no estaban soportadas las multiprimitivas.

#6 - 09/22/2016 04:19 PM - Antonio Falciano
- Status changed from Fixed to Closed

Thank you, Francisco. It works fine again!

#7 - 10/10/2016 08:04 AM - Francisco Díaz Carsí
- gvSIG build changed from 2445 to 2447
- Target version changed from 2.3.0-2446 (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Status changed from Closed to New

Reabro porque se arregló el problema cuando era motivado por multiprimitivas, pero ocurre también con polígonos con agujeros.

#8 - 10/10/2016 08:32 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

#9 - 10/16/2016 10:59 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.1-2500 (rev. org.gvsig.desktop-2.0.155)

#10 - 10/20/2016 05:23 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 416 KB 09/21/2016 Antonio Falciano
